NX Open C++ Reference Guide
|
This class will provide ability to create aesthetically pleasing blend surfaces on sheet and solid bodies. More...
Public Member Functions | |
NXOpen::Features::AestheticFaceBlendBuilder::AlignmentType | AlignmentOption () |
Returns the alignment option Created in NX7.5.0. | |
NXOpen::GeometricUtilities::LawBuilder * | BaseRadiusLaw () |
Returns the base radius law variable Created in NX7.5.0. | |
NXOpen::Features::AestheticFaceBlendBuilder::BlendFacesType | BlendFacesOption () |
Returns the blend faces option Created in NX7.5.0. | |
NXOpen::Features::AestheticFaceBlendBuilder::BlendType | BlendOption () |
Returns the method option Created in NX7.5.0. | |
NXOpen::GeometricUtilities::LawBuilder * | CenterChordLaw () |
Returns the center chord law Created in NX8.0.0. | |
NXOpen::Features::AestheticFaceBlendBuilder::CenterType | CenterOption () |
Returns the center option Created in NX8.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | CenterRadiusLaw () |
Returns the center radius law Created in NX7.5.0. | |
NXOpen::GeometricUtilities::Continuity * | Chain1Continuity () |
Returns the chain 1 continuity Created in NX8.0.0. | |
NXOpen::GeometricUtilities::Continuity * | Chain2Continuity () |
Returns the chain 2 continuity Created in NX8.0.0. | |
NXOpen::Expression * | ChordLength () |
Returns the chord length | |
NXOpen::GeometricUtilities::LawBuilder * | ChordLengthLaw () |
Returns the chord length law variable Created in NX8.0.0. | |
NXOpen::Point * | ConstrainedEndPoint1 () |
Returns the end point1 Created in NX8.0.0. | |
NXOpen::Point * | ConstrainedEndPoint2 () |
Returns the end point2 Created in NX8.0.0. | |
NXOpen::Point * | ConstrainedStartPoint1 () |
Returns the start point1 Created in NX8.0.0. | |
NXOpen::Point * | ConstrainedStartPoint2 () |
Returns the start point2 Created in NX8.0.0. | |
NXOpen::GeometricUtilities::Continuity * | Continuity () |
Returns the continuity | |
double | CurvatureTolerance () |
Returns the curvature tolerance Created in NX7.5.0. | |
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder * | Degrees () |
Returns the degrees Created in NX7.5.0. | |
NXOpen::ScCollector * | FaceChain1 () |
Returns the face chain1 Created in NX7.5.0. | |
NXOpen::ScCollector * | FaceChain2 () |
Returns the face chain2 Created in NX7.5.0. | |
bool | IsAccelerated () |
Returns the method to control the shape Created in NX8.0.0. | |
bool | IsBezier () |
Returns the bezier Created in NX8.0.0. | |
bool | IsCenterlineCurve () |
Returns the centerline curve Created in NX8.0.0. | |
bool | IsMinimumRadius () |
Returns the is min radius Created in NX7.5.0. | |
bool | IsMinimumSubtendedAngle () |
Returns the minimum subtended angle flag Created in NX8.0.0. | |
bool | IsRationalOutput () |
Returns the rational output Created in NX7.5.0. | |
bool | IsSameTransition () |
Returns the blend cross section is using the same transition as blend tangent or not Created in NX7.5.0. | |
bool | IsSewAllFaces () |
Returns the is sew faces Created in NX7.5.0. | |
bool | IsTrimInputFaces () |
Returns the is trim faces Created in NX7.5.0. | |
bool | IsWashout1 () |
Returns the washout1 Created in NX8.0.0. | |
bool | IsWashout2 () |
Returns the toggle washout2 Created in NX8.0.0. | |
NXOpen::GeometricUtilities::BlendLimitsData * | LimitsList () |
Returns the trim object collector list Created in NX8.0.0. | |
double | MinimumEdgeLength () |
Returns the max edge length Created in NX8.0.0. | |
NXOpen::Expression * | MinimumRadius () |
Returns the min radius Created in NX7.5.0. | |
double | MinimumSubtendedAngle () |
Returns the minimum subtended angle Created in NX8.0.0. | |
NXOpen::Section * | ParameterSpine () |
Returns the parameter spine Created in NX7.5.0. | |
double | PositionTolerance () |
Returns the position tolerance Created in NX7.5.0. | |
double | RelativeEndBlendEndPoint () |
Returns the relative end point on the washout curve of end blend. | |
double | RelativeEndBlendStartPoint () |
Returns the relative start point on the washout curve of end blend. | |
double | RelativeStartBlendEndPoint () |
Returns the relative end point on the washout curve of start blend. | |
double | RelativeStartBlendStartPoint () |
Returns the relative start point on the washout curve of start blend. | |
bool | ReverseNormal1 () |
Returns the reverse normal1 Created in NX7.5.0. | |
bool | ReverseNormal2 () |
Returns the reverse normal2 Created in NX7.5.0. | |
NXOpen::Features::AestheticFaceBlendBuilder::RhoType | RhoOption () |
Returns the rho option Created in NX8.0.0. | |
double | RhoValue () |
Returns the rho value Created in NX8.0.0. | |
NXOpen::Direction * | SectionAlignmentVector () |
Returns the section alignment vector Created in NX7.5.0. | |
NXOpen::Expression * | SectionScaling1 () |
Returns the section scaling Created in NX8.0.0. | |
NXOpen::Expression * | SectionScaling2 () |
Returns the section scaling2 Created in NX8.0.0. | |
NXOpen::Features::AestheticFaceBlendBuilder::SegmentationType | SegmentationOption () |
Returns the segmentation option Created in NX8.0.0. | |
void | SetAccelerated (bool isAccelerated) |
Sets the method to control the shape Created in NX8.0.0. | |
void | SetAlignmentOption (NXOpen::Features::AestheticFaceBlendBuilder::AlignmentType alignmentOption) |
Sets the alignment option Created in NX7.5.0. | |
void | SetBezier (bool isBezier) |
Sets the bezier Created in NX8.0.0. | |
void | SetBlendFacesOption (NXOpen::Features::AestheticFaceBlendBuilder::BlendFacesType blendFacesOption) |
Sets the blend faces option Created in NX7.5.0. | |
void | SetBlendOption (NXOpen::Features::AestheticFaceBlendBuilder::BlendType blendOption) |
Sets the method option Created in NX7.5.0. | |
void | SetCenterlineCurve (bool isCenterlineCurve) |
Sets the centerline curve Created in NX8.0.0. | |
void | SetCenterOption (NXOpen::Features::AestheticFaceBlendBuilder::CenterType centerOption) |
Sets the center option Created in NX8.0.0. | |
void | SetConstrainedEndPoint1 (NXOpen::Point *endPoint1) |
Sets the end point1 Created in NX8.0.0. | |
void | SetConstrainedEndPoint2 (NXOpen::Point *endPoint2) |
Sets the end point2 Created in NX8.0.0. | |
void | SetConstrainedStartPoint1 (NXOpen::Point *startPoint1) |
Sets the start point1 Created in NX8.0.0. | |
void | SetConstrainedStartPoint2 (NXOpen::Point *startPoint2) |
Sets the start point2 Created in NX8.0.0. | |
void | SetCurvatureTolerance (double curvatureTolerance) |
Sets the curvature tolerance Created in NX7.5.0. | |
void | SetMinimumEdgeLength (double minEdgeLength) |
Sets the max edge length Created in NX8.0.0. | |
void | SetMinimumRadius (bool isMinimumRadius) |
Sets the is min radius Created in NX7.5.0. | |
void | SetMinimumSubtendedAngle (bool isMinimumSubtendedAngle) |
Sets the minimum subtended angle flag Created in NX8.0.0. | |
void | SetMinimumSubtendedAngle (double minimumSubtendedAngle) |
Sets the minimum subtended angle Created in NX8.0.0. | |
void | SetPositionTolerance (double positionTolerance) |
Sets the position tolerance Created in NX7.5.0. | |
void | SetRationalOutput (bool isRationalOutput) |
Sets the rational output Created in NX7.5.0. | |
void | SetRelativeEndBlendEndPoint (double endPoint) |
Sets the relative end point on the washout curve of end blend. | |
void | SetRelativeEndBlendStartPoint (double startPoint) |
Sets the relative start point on the washout curve of end blend. | |
void | SetRelativeStartBlendEndPoint (double endPoint) |
Sets the relative end point on the washout curve of start blend. | |
void | SetRelativeStartBlendStartPoint (double startPoint) |
Sets the relative start point on the washout curve of start blend. | |
void | SetReverseNormal1 (bool reverseNormal1) |
Sets the reverse normal1 Created in NX7.5.0. | |
void | SetReverseNormal2 (bool reverseNormal2) |
Sets the reverse normal2 Created in NX7.5.0. | |
void | SetRhoOption (NXOpen::Features::AestheticFaceBlendBuilder::RhoType rhoType) |
Sets the rho option Created in NX8.0.0. | |
void | SetRhoValue (double rhoValue) |
Sets the rho value Created in NX8.0.0. | |
void | SetSameTransition (bool isSameTransition) |
Sets the blend cross section is using the same transition as blend tangent or not Created in NX7.5.0. | |
void | SetSectionAlignmentVector (NXOpen::Direction *sectionAlignmentVector) |
Sets the section alignment vector Created in NX7.5.0. | |
void | SetSegmentationOption (NXOpen::Features::AestheticFaceBlendBuilder::SegmentationType segmentationOption) |
Sets the segmentation option Created in NX8.0.0. | |
void | SetSewAllFaces (bool isSewFaces) |
Sets the is sew faces Created in NX7.5.0. | |
void | SetShapeOption (NXOpen::Features::AestheticFaceBlendBuilder::ShapeType shapeOption) |
Sets the shape option | |
void | SetTangentTolerance (double tangentTolerance) |
Sets the tangent tolerance Created in NX7.5.0. | |
void | SetTrimInputFaces (bool isTrimFaces) |
Sets the is trim faces Created in NX7.5.0. | |
void | SetWashout1 (bool isWashout1) |
Sets the washout1 Created in NX8.0.0. | |
void | SetWashout2 (bool isWashout2) |
Sets the toggle washout2 Created in NX8.0.0. | |
NXOpen::Features::AestheticFaceBlendBuilder::ShapeType | ShapeOption () |
Returns the shape option | |
NXOpen::GeometricUtilities::TangentMagnitudeBuilder * | TangentMagnitude () |
Returns the tangent magnitude Created in NX8.0.0. | |
double | TangentTolerance () |
Returns the tangent tolerance Created in NX7.5.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class will provide ability to create aesthetically pleasing blend surfaces on sheet and solid bodies.
To create a new instance of this class, use Features::FeatureCollection::CreateAestheticFaceBlendBuilder
Default values.
Property | Value |
---|---|
AlignmentOption |
RollingBall |
BaseRadiusLaw.Function |
ft |
BaseRadiusLaw.LawType |
MultiTransition |
BaseRadiusLaw.Parameter |
t |
BlendFacesOption |
TrimtoAllInputFaces |
BlendOption |
Radius |
CenterChordLaw.LawType |
Constant |
CenterOption |
CenterRadius |
CenterRadiusLaw.LawType |
MultiTransition |
Chain1Continuity.ContinuityType |
G1 |
Chain2Continuity.ContinuityType |
G1 |
ChordLength.Value (deprecated) |
10 (millimeters part), 0.4 (inches part) |
ChordLengthLaw.LawType |
Constant |
Continuity.ContinuityType (deprecated) |
G1 |
CurvatureTolerance |
0.5 |
Degrees.Degree |
3 |
Degrees.SegmentsOrPatches |
1 |
Degrees.UDegree |
5 |
Degrees.UPatches |
1 |
Degrees.VDegree |
5 |
Degrees.VPatches |
1 |
IsAccelerated |
1 |
IsBezier |
0 |
IsCenterlineCurve |
0 |
IsMinimumRadius |
0 |
IsMinimumSubtendedAngle |
0 |
IsRationalOutput |
0 |
IsSameTransition |
1 |
IsSewAllFaces |
0 |
IsTrimInputFaces |
0 |
IsWashout1 |
0 |
IsWashout2 |
0 |
MinimumEdgeLength |
10 |
MinimumRadius.Value |
2.5 (millimeters part), 0.098 (inches part) |
MinimumSubtendedAngle |
5.0 |
RhoOption |
Relative |
RhoValue |
0.6 |
SectionScaling1.Value |
1 |
SectionScaling2.Value |
1 |
SegmentationOption |
AtAllTransitions |
ShapeOption (deprecated) |
Accelerated |
Created in NX7.5.0.
Alignment method provides the ability to align the cross sections of the blend in the user specified direction.
AlignmentTypeRollingBall |
Rolling Ball option will align the sections at contact point. |
AlignmentTypeSpineCurve |
Spine Curve option will align the sections based on a string of curves. |
AlignmentTypeVector |
Vector option will align the sections based on the vector. |
Tangent method will create tangent lines based on the method employed.
Segmentations options.
SegmentationTypeAtAllTransitions |
Segmentation at all transitions. |
SegmentationTypeAtTransitionsonFaceChain1 |
Segmentation at Face Chain1 transition. |
SegmentationTypeAtTransitionsonFaceChain2 |
Segementation at Face Chain2 transition. |
SegmentationTypeAtAllTransitionsandMergeSmallBlendFaces |
Secgmentation at all transitions and merge small blend faces. |
Shape methods will define the high level shape of the blend cross section.
NXOpen::Features::AestheticFaceBlendBuilder::AlignmentType NXOpen::Features::AestheticFaceBlendBuilder::AlignmentOption | ( | ) |
Returns the alignment option
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::AestheticFaceBlendBuilder::BaseRadiusLaw | ( | ) |
Returns the base radius law variable
Created in NX7.5.0.
License requirements : None
NXOpen::Features::AestheticFaceBlendBuilder::BlendFacesType NXOpen::Features::AestheticFaceBlendBuilder::BlendFacesOption | ( | ) |
Returns the blend faces option
Created in NX7.5.0.
License requirements : None
NXOpen::Features::AestheticFaceBlendBuilder::BlendType NXOpen::Features::AestheticFaceBlendBuilder::BlendOption | ( | ) |
Returns the method option
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::AestheticFaceBlendBuilder::CenterChordLaw | ( | ) |
Returns the center chord law
Created in NX8.0.0.
License requirements : None
NXOpen::Features::AestheticFaceBlendBuilder::CenterType NXOpen::Features::AestheticFaceBlendBuilder::CenterOption | ( | ) |
Returns the center option
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::AestheticFaceBlendBuilder::CenterRadiusLaw | ( | ) |
Returns the center radius law
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::AestheticFaceBlendBuilder::Chain1Continuity | ( | ) |
Returns the chain 1 continuity
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::AestheticFaceBlendBuilder::Chain2Continuity | ( | ) |
Returns the chain 2 continuity
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::AestheticFaceBlendBuilder::ChordLength | ( | ) |
Returns the chord length
Use Features::AestheticFaceBlendBuilder::ChordLengthLaw instead.
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::AestheticFaceBlendBuilder::ChordLengthLaw | ( | ) |
Returns the chord length law variable
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::AestheticFaceBlendBuilder::ConstrainedEndPoint1 | ( | ) |
Returns the end point1
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::AestheticFaceBlendBuilder::ConstrainedEndPoint2 | ( | ) |
Returns the end point2
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::AestheticFaceBlendBuilder::ConstrainedStartPoint1 | ( | ) |
Returns the start point1
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::AestheticFaceBlendBuilder::ConstrainedStartPoint2 | ( | ) |
Returns the start point2
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::AestheticFaceBlendBuilder::Continuity | ( | ) |
Returns the continuity
Use Features::AestheticFaceBlendBuilder::Chain1Continuity and Features::AestheticFaceBlendBuilder::Chain2Continuity instead.
Created in NX7.5.0.
License requirements : None
double NXOpen::Features::AestheticFaceBlendBuilder::CurvatureTolerance | ( | ) |
Returns the curvature tolerance
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder* NXOpen::Features::AestheticFaceBlendBuilder::Degrees | ( | ) |
Returns the degrees
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::AestheticFaceBlendBuilder::FaceChain1 | ( | ) |
Returns the face chain1
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::AestheticFaceBlendBuilder::FaceChain2 | ( | ) |
Returns the face chain2
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::IsAccelerated | ( | ) |
Returns the method to control the shape
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::IsBezier | ( | ) |
Returns the bezier
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::IsCenterlineCurve | ( | ) |
Returns the centerline curve
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::IsMinimumRadius | ( | ) |
Returns the is min radius
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::IsMinimumSubtendedAngle | ( | ) |
Returns the minimum subtended angle flag
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::IsRationalOutput | ( | ) |
Returns the rational output
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::IsSameTransition | ( | ) |
Returns the blend cross section is using the same transition as blend tangent or not
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::IsSewAllFaces | ( | ) |
Returns the is sew faces
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::IsTrimInputFaces | ( | ) |
Returns the is trim faces
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::IsWashout1 | ( | ) |
Returns the washout1
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::IsWashout2 | ( | ) |
Returns the toggle washout2
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::BlendLimitsData* NXOpen::Features::AestheticFaceBlendBuilder::LimitsList | ( | ) |
Returns the trim object collector list
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::AestheticFaceBlendBuilder::MinimumEdgeLength | ( | ) |
Returns the max edge length
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::AestheticFaceBlendBuilder::MinimumRadius | ( | ) |
Returns the min radius
Created in NX7.5.0.
License requirements : None
double NXOpen::Features::AestheticFaceBlendBuilder::MinimumSubtendedAngle | ( | ) |
Returns the minimum subtended angle
Created in NX8.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::AestheticFaceBlendBuilder::ParameterSpine | ( | ) |
Returns the parameter spine
Created in NX7.5.0.
License requirements : None
double NXOpen::Features::AestheticFaceBlendBuilder::PositionTolerance | ( | ) |
Returns the position tolerance
Created in NX7.5.0.
License requirements : None
double NXOpen::Features::AestheticFaceBlendBuilder::RelativeEndBlendEndPoint | ( | ) |
Returns the relative end point on the washout curve of end blend.
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::AestheticFaceBlendBuilder::RelativeEndBlendStartPoint | ( | ) |
Returns the relative start point on the washout curve of end blend.
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::AestheticFaceBlendBuilder::RelativeStartBlendEndPoint | ( | ) |
Returns the relative end point on the washout curve of start blend.
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::AestheticFaceBlendBuilder::RelativeStartBlendStartPoint | ( | ) |
Returns the relative start point on the washout curve of start blend.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::ReverseNormal1 | ( | ) |
Returns the reverse normal1
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::AestheticFaceBlendBuilder::ReverseNormal2 | ( | ) |
Returns the reverse normal2
Created in NX7.5.0.
License requirements : None
NXOpen::Features::AestheticFaceBlendBuilder::RhoType NXOpen::Features::AestheticFaceBlendBuilder::RhoOption | ( | ) |
Returns the rho option
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::AestheticFaceBlendBuilder::RhoValue | ( | ) |
Returns the rho value
Created in NX8.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::AestheticFaceBlendBuilder::SectionAlignmentVector | ( | ) |
Returns the section alignment vector
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::AestheticFaceBlendBuilder::SectionScaling1 | ( | ) |
Returns the section scaling
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::AestheticFaceBlendBuilder::SectionScaling2 | ( | ) |
Returns the section scaling2
Created in NX8.0.0.
License requirements : None
NXOpen::Features::AestheticFaceBlendBuilder::SegmentationType NXOpen::Features::AestheticFaceBlendBuilder::SegmentationOption | ( | ) |
Returns the segmentation option
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::AestheticFaceBlendBuilder::SetAccelerated | ( | bool | isAccelerated | ) |
Sets the method to control the shape
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isAccelerated | isaccelerated |
void NXOpen::Features::AestheticFaceBlendBuilder::SetAlignmentOption | ( | NXOpen::Features::AestheticFaceBlendBuilder::AlignmentType | alignmentOption | ) |
Sets the alignment option
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
alignmentOption | alignmentoption |
void NXOpen::Features::AestheticFaceBlendBuilder::SetBezier | ( | bool | isBezier | ) |
Sets the bezier
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isBezier | isbezier |
void NXOpen::Features::AestheticFaceBlendBuilder::SetBlendFacesOption | ( | NXOpen::Features::AestheticFaceBlendBuilder::BlendFacesType | blendFacesOption | ) |
Sets the blend faces option
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
blendFacesOption | blendfacesoption |
void NXOpen::Features::AestheticFaceBlendBuilder::SetBlendOption | ( | NXOpen::Features::AestheticFaceBlendBuilder::BlendType | blendOption | ) |
Sets the method option
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
blendOption | blendoption |
void NXOpen::Features::AestheticFaceBlendBuilder::SetCenterlineCurve | ( | bool | isCenterlineCurve | ) |
Sets the centerline curve
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isCenterlineCurve | iscenterlinecurve |
void NXOpen::Features::AestheticFaceBlendBuilder::SetCenterOption | ( | NXOpen::Features::AestheticFaceBlendBuilder::CenterType | centerOption | ) |
Sets the center option
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
centerOption | centeroption |
void NXOpen::Features::AestheticFaceBlendBuilder::SetConstrainedEndPoint1 | ( | NXOpen::Point * | endPoint1 | ) |
Sets the end point1
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
endPoint1 | endpoint1 |
void NXOpen::Features::AestheticFaceBlendBuilder::SetConstrainedEndPoint2 | ( | NXOpen::Point * | endPoint2 | ) |
Sets the end point2
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
endPoint2 | endpoint2 |
void NXOpen::Features::AestheticFaceBlendBuilder::SetConstrainedStartPoint1 | ( | NXOpen::Point * | startPoint1 | ) |
Sets the start point1
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
startPoint1 | startpoint1 |
void NXOpen::Features::AestheticFaceBlendBuilder::SetConstrainedStartPoint2 | ( | NXOpen::Point * | startPoint2 | ) |
Sets the start point2
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
startPoint2 | startpoint2 |
void NXOpen::Features::AestheticFaceBlendBuilder::SetCurvatureTolerance | ( | double | curvatureTolerance | ) |
Sets the curvature tolerance
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
curvatureTolerance | curvaturetolerance |
void NXOpen::Features::AestheticFaceBlendBuilder::SetMinimumEdgeLength | ( | double | minEdgeLength | ) |
Sets the max edge length
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
minEdgeLength | minedgelength |
void NXOpen::Features::AestheticFaceBlendBuilder::SetMinimumRadius | ( | bool | isMinimumRadius | ) |
Sets the is min radius
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isMinimumRadius | isminimumradius |
void NXOpen::Features::AestheticFaceBlendBuilder::SetMinimumSubtendedAngle | ( | bool | isMinimumSubtendedAngle | ) |
Sets the minimum subtended angle flag
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isMinimumSubtendedAngle | isminimumsubtendedangle |
void NXOpen::Features::AestheticFaceBlendBuilder::SetMinimumSubtendedAngle | ( | double | minimumSubtendedAngle | ) |
Sets the minimum subtended angle
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
minimumSubtendedAngle | minimumsubtendedangle |
void NXOpen::Features::AestheticFaceBlendBuilder::SetPositionTolerance | ( | double | positionTolerance | ) |
Sets the position tolerance
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
positionTolerance | positiontolerance |
void NXOpen::Features::AestheticFaceBlendBuilder::SetRationalOutput | ( | bool | isRationalOutput | ) |
Sets the rational output
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isRationalOutput | isrationaloutput |
void NXOpen::Features::AestheticFaceBlendBuilder::SetRelativeEndBlendEndPoint | ( | double | endPoint | ) |
Sets the relative end point on the washout curve of end blend.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
endPoint | endpoint |
void NXOpen::Features::AestheticFaceBlendBuilder::SetRelativeEndBlendStartPoint | ( | double | startPoint | ) |
Sets the relative start point on the washout curve of end blend.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
startPoint | startpoint |
void NXOpen::Features::AestheticFaceBlendBuilder::SetRelativeStartBlendEndPoint | ( | double | endPoint | ) |
Sets the relative end point on the washout curve of start blend.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
endPoint | endpoint |
void NXOpen::Features::AestheticFaceBlendBuilder::SetRelativeStartBlendStartPoint | ( | double | startPoint | ) |
Sets the relative start point on the washout curve of start blend.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
startPoint | startpoint |
void NXOpen::Features::AestheticFaceBlendBuilder::SetReverseNormal1 | ( | bool | reverseNormal1 | ) |
Sets the reverse normal1
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
reverseNormal1 | reversenormal1 |
void NXOpen::Features::AestheticFaceBlendBuilder::SetReverseNormal2 | ( | bool | reverseNormal2 | ) |
Sets the reverse normal2
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
reverseNormal2 | reversenormal2 |
void NXOpen::Features::AestheticFaceBlendBuilder::SetRhoOption | ( | NXOpen::Features::AestheticFaceBlendBuilder::RhoType | rhoType | ) |
Sets the rho option
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
rhoType | rhotype |
void NXOpen::Features::AestheticFaceBlendBuilder::SetRhoValue | ( | double | rhoValue | ) |
Sets the rho value
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
rhoValue | rhovalue |
void NXOpen::Features::AestheticFaceBlendBuilder::SetSameTransition | ( | bool | isSameTransition | ) |
Sets the blend cross section is using the same transition as blend tangent or not
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isSameTransition | issametransition |
void NXOpen::Features::AestheticFaceBlendBuilder::SetSectionAlignmentVector | ( | NXOpen::Direction * | sectionAlignmentVector | ) |
Sets the section alignment vector
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
sectionAlignmentVector | sectionalignmentvector |
void NXOpen::Features::AestheticFaceBlendBuilder::SetSegmentationOption | ( | NXOpen::Features::AestheticFaceBlendBuilder::SegmentationType | segmentationOption | ) |
Sets the segmentation option
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
segmentationOption | segmentationoption |
void NXOpen::Features::AestheticFaceBlendBuilder::SetSewAllFaces | ( | bool | isSewFaces | ) |
Sets the is sew faces
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isSewFaces | issewfaces |
void NXOpen::Features::AestheticFaceBlendBuilder::SetShapeOption | ( | NXOpen::Features::AestheticFaceBlendBuilder::ShapeType | shapeOption | ) |
Sets the shape option
Use Features::AestheticFaceBlendBuilder::SetAccelerated instead.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
shapeOption | shapeoption |
void NXOpen::Features::AestheticFaceBlendBuilder::SetTangentTolerance | ( | double | tangentTolerance | ) |
Sets the tangent tolerance
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
tangentTolerance | tangenttolerance |
void NXOpen::Features::AestheticFaceBlendBuilder::SetTrimInputFaces | ( | bool | isTrimFaces | ) |
Sets the is trim faces
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isTrimFaces | istrimfaces |
void NXOpen::Features::AestheticFaceBlendBuilder::SetWashout1 | ( | bool | isWashout1 | ) |
Sets the washout1
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isWashout1 | iswashout1 |
void NXOpen::Features::AestheticFaceBlendBuilder::SetWashout2 | ( | bool | isWashout2 | ) |
Sets the toggle washout2
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
isWashout2 | iswashout2 |
NXOpen::Features::AestheticFaceBlendBuilder::ShapeType NXOpen::Features::AestheticFaceBlendBuilder::ShapeOption | ( | ) |
Returns the shape option
Use Features::AestheticFaceBlendBuilder::IsAccelerated instead.
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::TangentMagnitudeBuilder* NXOpen::Features::AestheticFaceBlendBuilder::TangentMagnitude | ( | ) |
Returns the tangent magnitude
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::AestheticFaceBlendBuilder::TangentTolerance | ( | ) |
Returns the tangent tolerance
Created in NX7.5.0.
License requirements : None